Results 1 to 8 of 8

Thread: libncurses.so.5

  1. #1

    Default libncurses.so.5

    Hi to all,
    I have a fresh install of 64bit TUMBLEWEED (im new in opensuse) and tried to install a program and this error came up:

    "libncurses.so.5: cannot open shared object file: No such file or directory".
    I tried : ln -s /lib/libncurses.so.5 /lib/libtinfo.so.5 but that didnt work. I got the same error.
    I cant find libtinfo.so.5 in /usr/lib. Maybe im missing a library, I tried to search ncurses library through YAST without luck. How can I solve this problem?

    Gaston

    PS: Move this thread to the correct forum

  2. #2

    Default Re: libncurses.so.5

    update
    zypper se curses gives:
    PHP Code:
    S  Name                     Summary                                                     Type   
    ---+--------------------------+-------------------------------------------------------------+--------
       | 
    gambas3-gb-ncurses       The ncurses component for Gambas                            package
       
    libncurses5              Terminal control library                                    package
    i
    + | libncurses5-32bit        Terminal control library                                    package
    i  
    libncurses6              Terminal control library                                    package
       
    libncurses6-32bit        Terminal control library                                    package
       
    libyui-ncurses-devel     Libyui-ncurses header files                                 package
       
    libyui-ncurses-doc       Libyui-ncurses documentation                                package
       
    libyui-ncurses-pkg-devel Libyui-ncurses-pkg header files                             package
       
    libyui-ncurses-pkg-doc   Libyui-ncurses-pkg documentation                            package
    i  
    libyui-ncurses-pkg9      Libyui yast2 package selector widget for the ncurses UI   package
       
    libyui-ncurses-tools     Libyui-ncurses tools                                        package
    i  
    libyui-ncurses9          Libyui Character Based User Interface                     | package
       
    ncurses-devel            Development files for the ncurses6 terminal control library package
       
    ncurses-devel-32bit      Development files for the ncurses6 terminal control library package
    i  
    ncurses-utils            Tools using the new curses libraries                        package
       
    ncurses5-devel           Development files for the ncurses5 terminal control library package
       
    ncurses5-devel-32bit     Development files for the ncurses5 terminal control library package
       
    ocaml-curses             OCaml bindings for ncurses                                  package
       
    ocaml-curses-devel       Development files for ocaml-curses                          package
       
    perl-Curses              Terminal screen handling and optimization                   package
       
    perl-CursesWidgets       CursesWidgets Perl module                                   package
    i  
    python-curses            Python Interface to the (N)Curses Library                   package
    i  
    python3-curses           Python Interface to the (N)Curses Library                   package
    i  
    qemu-ui-curses           Curses based UI support for QEMU                            package 
    Regards

  3. #3
    Join Date
    Jun 2008
    Location
    Netherlands
    Posts
    23,786

    Default Re: libncurses.so.5

    Quote Originally Posted by Gaston1980 View Post
    and tried to install a program .....
    The best help can only be given by people that are informed about the problem with the maximum available information. Please, please, please, why those secrets? Simply tell what you tried to install and how instead of this very vague remark. When that installing was done using the CLI, please copy/paste what you did and got in the post.
    Henk van Velden

  4. #4

    Default Re: libncurses.so.5

    I tried to install Xilinx ISE, but running the xsetup in konsole (installer) the libncurses error shows up. This program is for 64bit but add a 32bit programs to work it. Im new to opensuse and this is a fresh install.
    Gastón

  5. #5
    Join Date
    Jun 2008
    Location
    Groningen, Netherlands
    Posts
    18,751
    Blog Entries
    14

    Default Re: libncurses.so.5

    As you can see in the list you provided ncurses5 is available in openSUSE TW, and a small test shows me it can be alongside ncurses6 and it does provide the missing lib.
    So try
    Code:
    sudo zypper in libncurses5
    EDIT: the package also contains the missing libtinfo.so.5
    EDIT2: remove the symlinks you created before doing so, and never again link a library file to another one .
    Last edited by Knurpht; 06-Dec-2018 at 09:19.
    ° Appreciate my reply? Click the star and let me know why.

    ° Perfection is not gonna happen. No way.

    https://en.opensuse.org/openSUSE:Board#Members
    http://en.opensuse.org/User:Knurpht
    http://nl.opensuse.org/Gebruiker:Knurpht

  6. #6

    Default Re: libncurses.so.5

    Hi Knurpht, thanks for your answer, it works. How can you tell that library in the list was not installed? for future references.Thanks.
    Regards
    Gastón

  7. #7
    Join Date
    Mar 2011
    Location
    Sauerland
    Posts
    3,338

    Default AW: Re: libncurses.so.5

    Quote Originally Posted by Gaston1980 View Post
    Hi Knurpht, thanks for your answer, it works. How can you tell that library in the list was not installed? for future references.Thanks.
    Regards
    Gastón
    The first column, i means installed.

  8. #8
    Join Date
    Jun 2008
    Location
    Groningen, Netherlands
    Posts
    18,751
    Blog Entries
    14

    Default Re: libncurses.so.5

    Quote Originally Posted by Gaston1980 View Post
    Hi Knurpht, thanks for your answer, it works. How can you tell that library in the list was not installed? for future references.Thanks.
    Regards
    Gastón
    From this command:
    Code:
    knurpht@Knurpht-HP:~> zypper se --provides libtinfo
    Gegevens van opslagruimte laden...
    Lezen van geïnstalleerde pakketten...
    
    
    S  | Naam              | Samenvatting             | Type  
    ---+-------------------+--------------------------+-------
    i+ | libncurses5       | Terminal control library | pakket
       | libncurses5-32bit | Terminal control library | pakket
    i+ | libncurses6       | Terminal control library | pakket
    i+ | libncurses6-32bit | Terminal control library | pakket
    knurpht@Knurpht-HP:~>
    ° Appreciate my reply? Click the star and let me know why.

    ° Perfection is not gonna happen. No way.

    https://en.opensuse.org/openSUSE:Board#Members
    http://en.opensuse.org/User:Knurpht
    http://nl.opensuse.org/Gebruiker:Knurpht

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •